curl --request POST \
--url https://api.botpress.cloud/v1/admin/bots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"states": {},
"events": {},
"recurringEvents": {},
"actions": {},
"configuration": {
"data": {},
"schema": {}
},
"user": {
"tags": {}
},
"conversation": {
"tags": {}
},
"message": {
"tags": {}
},
"tags": {},
"code": "<string>",
"name": "<string>",
"medias": [
{
"url": "<string>",
"name": "<string>"
}
],
"url": "<string>",
"dev": true
}
'import requests
url = "https://api.botpress.cloud/v1/admin/bots"
payload = {
"states": {},
"events": {},
"recurringEvents": {},
"actions": {},
"configuration": {
"data": {},
"schema": {}
},
"user": { "tags": {} },
"conversation": { "tags": {} },
"message": { "tags": {} },
"tags": {},
"code": "<string>",
"name": "<string>",
"medias": [
{
"url": "<string>",
"name": "<string>"
}
],
"url": "<string>",
"dev": True
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
states: {},
events: {},
recurringEvents: {},
actions: {},
configuration: {data: {}, schema: {}},
user: {tags: {}},
conversation: {tags: {}},
message: {tags: {}},
tags: {},
code: '<string>',
name: '<string>',
medias: [{url: '<string>', name: '<string>'}],
url: '<string>',
dev: true
})
};
fetch('https://api.botpress.cloud/v1/admin/bots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bot": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"signingSecret": "<string>",
"integrations": {},
"plugins": {},
"user": {
"tags": {}
},
"conversation": {
"tags": {}
},
"message": {
"tags": {}
},
"states": {},
"configuration": {
"data": {},
"schema": {}
},
"events": {},
"recurringEvents": {},
"subscriptions": {
"events": {}
},
"actions": {},
"tags": {},
"name": "<string>",
"dev": true,
"alwaysAlive": true,
"medias": [
{
"url": "<string>",
"name": "<string>"
}
],
"maxExecutionTime": 123,
"deployedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
}{
"bot": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"signingSecret": "<string>",
"integrations": {},
"plugins": {},
"user": {
"tags": {}
},
"conversation": {
"tags": {}
},
"message": {
"tags": {}
},
"states": {},
"configuration": {
"data": {},
"schema": {}
},
"events": {},
"recurringEvents": {},
"subscriptions": {
"events": {}
},
"actions": {},
"tags": {},
"name": "<string>",
"dev": true,
"alwaysAlive": true,
"medias": [
{
"url": "<string>",
"name": "<string>"
}
],
"maxExecutionTime": 123,
"deployedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
}Create bot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace ID
Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Body
Bot metadata
A mapping of states to their definition
Show child attributes
Show child attributes
Events definition
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Subscriptions of the bot
Show child attributes
Show child attributes
Actions definition
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
JavaScript code of the bot
Optional name for the bot, if not provided will be auto-generated
1Response
Success
Show child attributes
Show child attributes
Was this page helpful?